package com.iamberry.wechat.service.integral;

import com.iamberry.wechat.core.entity.integral.IntegralProductPicture;
import com.iamberry.wechat.face.integral.IntegralProductPictureService;
import com.iamberry.wechat.service.mapper.IntegralProductPictureMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  产品轮播图接口
 * @author ys
 * @Date 2018-04-28
 */
@Service
public class IntegralProductPictureServiceImpl  implements IntegralProductPictureService {
    @Autowired
    private IntegralProductPictureMapper integralProductPictureMapper;
    /**
     * 获取集合
     * @param  integralProductPicture
     * @return List
     */
    @Override
    public List<IntegralProductPicture> getIntegralProductPictureList(IntegralProductPicture  integralProductPicture){
        return  integralProductPictureMapper.getIntegralProductPictureList(integralProductPicture);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  integralProductPicture
     */
    @Override
    public  IntegralProductPicture  getIntegralProductPictureById(Integer  id){
        return  integralProductPictureMapper.getIntegralProductPictureById(id);
    }
    /**
     * 增加数据
     * @param  integralProductPicture
     * @return Integer
     */
    @Override
    public  Integer  save(IntegralProductPicture  integralProductPicture){
        return  integralProductPictureMapper.save(integralProductPicture);
    }
    /**
     * 修改数据
     * @param  integralProductPicture
     * @return Integer
     */
    @Override
    public  Integer  update(IntegralProductPicture  integralProductPicture){
        return  integralProductPictureMapper.update(integralProductPicture);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  integralProductPictureMapper.delete(id);
    }
}